Game Develop C++ Platform: MathematicalToolsExtension Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
List of all members
MathematicalToolsExtension Class Reference
Built-in Game Develop extensions

Internal built-in extension providing mathematical features. More...

`#include <MathematicalToolsExtension.h>`

Inheritance diagram for MathematicalToolsExtension:
[legend]
Collaboration diagram for MathematicalToolsExtension:
[legend]

## Additional Inherited Members

Public Member Functions inherited from ExtensionBase
void | AddRuntimeObject (gd::ObjectMetadata &object, std::string className, CreateRuntimeObjectFunPtr createFun, DestroyRuntimeObjectFunPtr destroyFun)
| To be called so as to declare the creation and destruction function of a RuntimeObject associated to a gd::Object. More...
CreateRuntimeObjectFunPtr | GetRuntimeObjectCreationFunctionPtr (std::string objectType) const
| Return a function to create the runtime object if the type is handled by the extension.
DestroyRuntimeObjectFunPtr | GetDestroyRuntimeObjectFunction (std::string objectType) const
| Return the function to destroy the runtime object, if the type is handled by the extension. More...
virtual void | SceneLoaded (RuntimeScene &scene)
| Called when a scene is loaded: Useful to initialize some extensions specific objects related to scene.
virtual void | SceneUnloaded (RuntimeScene &scene)
| Called when a scene is unloaded: Useful to destroy some extensions specific objects related to scene.
virtual bool | ToBeNotifiedOnObjectDeletion ()
| Redefine this method to return true if you want the method ObjectDeletedFromScene to be called by RuntimeScene when. More...
virtual void | ObjectDeletedFromScene (RuntimeScene &scene, RuntimeObject *objectDeleted)
| Called by RuntimeScene, if ToBeNotifiedOnObjectDeletion() returns true, when an object is about to be deleted. More...

## Detailed Description

Internal built-in extension providing mathematical features.

The documentation for this class was generated from the following files:

- MathematicalToolsExtension.h
- MathematicalToolsExtension.cpp